@charset "UTF-8";
@import url("grid.css");

:root { /* 色変更される場合は、#以降のカラーコードを変更してください IE非対応 */
    --base-color: #000;
    --link-color: #17b102;
    --linkhover-color: #ff0000;
    --back-color: #fdff72;
    --border-color: #fdff72;
    --white-color: #fff;
}

img {
	max-width:100%;
	height: auto;/*高さ自動*/
}
a {
    display:block;
    color: var(--link-color);
    text-decoration-line: none;
}
a:hover { 
    color: var(--linkhover-color);
}

.image_link{  /* イメージリンクの効果追加　池田 */
 display:block; 
 position:relative;
 text-decoration:none;
}
.image_link img{
  display:block;
  width:100%;
}
.image_link:before{
  content:"";
  display:block;
  width:100%;
  height:100%;
  position:absolute;
  z-index:2;
  background:#000;/*好みの色に変えてください。*/
  opacity:0;
  transition:0.3s;
}
.image_link:after{
  content:"再生する";/*好みの文章に変更してください。*/
  display:block;
  color:#fff;
  line-height:48px;
  width:180px;
  border:solid 1px #fff;
  border-radius:5px;
  text-align:center;
  position:absolute;
  top:50%;
  left:50%;
  margin-top:-1em;
  margin-left:-90px;
  opacity:0;
  z-index:3;
  transition:0.3s;
  font-weight:bold;
  letter-spacing:0.2em;
}
.image_link:hover:before{
  opacity:0.5;
}
.image_link:hover:after{
  opacity:1;
  margin-top:-0.5em;
}
/*以下背景グラデ用追加（2025.05.12現在は不使用）
-------------------------------------*/
.wrapper { 
  height: 100%;
  width: 100%;
  left:0;
  right: 0;
  top: 0;
  bottom: 0;
  opacity: 0.1;
  position: absolute;
background: linear-gradient(124deg, #ff2400, #e81d1d, #e8b71d, #e3e81d, #1de840, #1ddde8, #2b1de8, #dd00f3, #dd00f3);
background-size: 1800% 1800%;

-webkit-animation: rainbow 18s ease infinite;
-z-animation: rainbow 18s ease infinite;
-o-animation: rainbow 18s ease infinite;
  animation: rainbow 18s ease infinite;}

@-webkit-keyframes rainbow {
    0%{background-position:0% 82%}
    50%{background-position:100% 19%}
    100%{background-position:0% 82%}
}
@-moz-keyframes rainbow {
    0%{background-position:0% 82%}
    50%{background-position:100% 19%}
    100%{background-position:0% 82%}
}
@-o-keyframes rainbow {
    0%{background-position:0% 82%}
    50%{background-position:100% 19%}
    100%{background-position:0% 82%}
}
@keyframes rainbow { 
    0%{background-position:0% 82%}
    50%{background-position:100% 19%}
    100%{background-position:0% 82%}
}

/*ヘッダー
-------------------------------------*/
.header {
	display: flex;
    flex-direction: row;
    padding: 2rem 0 0 0;
    font-size: 2.5em;
}
.header-box {
	margin-left: auto;
	margin-top: 8px;
}
.contact-button {
	padding: 1rem;
	border: 2px solid var(--base-color);
    
}
nav ul {
	display: flex;
    flex-direction: row;
    justify-content: space-around;
    list-style: none;
	margin: 2rem 0 0 0;
    
}
nav li {
	flex: 1 0 auto;
    
}
nav li a {
    text-decoration: none;
    font-size: 130%;
    font-weight: 500;
    text-align: center;
    width: 100%;
    border-radius: 20px 20px 0px 0px;  /* 上2角にラディウス追加 */
}
nav a:hover {
    background-color: var(--back-color);   
}
nav a {
    padding: 0.55rem;/* ナビボタン上下センター調整 */
}

margin-line

@media screen and (min-width: 768px){
/* PC時はMENUボタンを非表示 */
#open,#close {
    display: none !important;
}

#navi {
    display: block !important;
    
}

}

@media screen and (max-width: 768px){
.header {
	flex-direction: column;
    margin-bottom: 10px;
}
.header #open,#close  {
    position: absolute;
    top: 20px;
    right: 12px;
}
nav ul {
	flex-direction: column;
}
.header li {
	padding-top: 0;
}
/* スマホ時はMENUボタンを表示 */
#open {
    display: block;
    background: url(../img/button.png);
    background-repeat: no-repeat;
    background-size: contain;
    width: 50px;
    height: 50px;
    border: none;
    position: absolute;
    top: 20px;
    right: 12px;
}
#close  {
    display: block;
    background: url(../img/button2.png);
    background-repeat: no-repeat;
    background-size: contain;
    width: 50px;
    height: 50px;
    border: none;
    position: absolute;
    top: 20px;
    right: 12px;
}
/* スマホ時はメニューを非表示 */
#navi {
    display: none;
}
nav li a {
    text-decoration: none;
    font-size: 200%;
    font-weight: 500;
    text-align: center;
    width: 100%;
}
}
    
/*メイン画像
-------------------------------------*/
.mainimg img {
    width: 100vw;
}

/*メインコンテンツ
-------------------------------------*/
main {
    margin: 5rem 0 0 0;

}
section {
	margin: 0rem 0;
	padding: 3rem 0;
}
.gray-back {
	background-color: var(--back-color);
}

/*新着情報
-------------------------------------*/
.texboxtitle {

    font-size: 1.5em;  
     
    /* 水平方向の中央揃え */
  margin: 0 auto;
  text-align: center;
  }

  .texbox {
    width: 100%;                /* 横幅を200pxに指定 */
    height: 200px;               /* 横幅を200pxに指定 */
    border: 2px solid #949494;      /* わかりやすくボーダーを引く */
    overflow-y: scroll;  /* 縦方向にスクロール可能にする */
    font-size: 1.5em;        
    /* 水平方向の中央揃え */
  margin: 0 auto;

  }



/*キャッチコピー
-------------------------------------*/
.catch {
    text-align: center;
    font-size: 1.5em;
	padding:1rem 1rem 1rem 1rem;
	margin:-4rem 1rem 2rem 1rem;
	color:rgba(0, 0, 0, 0.6);letter-spacing:1.2px;text-shadow:2px 2px 4px rgba(0, 0, 0, 0.3);
}
.catch2 {
    text-align: center;
    font-size: 1.5em;
	padding:1rem 1rem 1rem 1rem;
	margin:-2rem 1rem 2rem 1rem;
	color:rgba(0, 0, 0, 0.6);letter-spacing:1.2px;text-shadow:2px 2px 4px rgba(0, 0, 0, 0.3);

}
.catch h2 {
    padding-bottom: 1rem;
    font-size: 1.5em;
}
.under {
    border-bottom: 0.3rem solid var(--base-color);
    padding:-0.5rem 1rem 0.7rem 1rem;

    
}
.center {
	text-align: center;
	margin-bottom: 4rem;
	font-size: 1.5em;
}

/*申し込みの流れ
-------------------------------------*/
.flow.row {
	margin-bottom: 3rem;
	font-size: 1.5em;
}

/*フッター
-------------------------------------*/

footer {
    background-color: #fff; 
    padding: 3rem 0;
}
footer h4 {
    border-bottom: 3px solid var(--border-color);
    font-size: 1.5em;
}

/*お問い合わせ
-------------------------------------*/
.contact-box {
	border: 1px solid var(--border-color);
	text-align: center;
	padding: 2rem 0;
}
.table {
	margin: 4rem 0;
}
.table th {
	width: 250px;
}

/*コピーライト
-------------------------------------*/
.copyright {
    text-align: center;
    padding: 1rem 0;
    background-color: var(--base-color);
}
.copyright a {
    color: var(--white-color);
    text-decoration: none;
	display: inline;
}

/*ページトップへ戻るボタン
-------------------------------------*/
#pagetop{
  width: 60px;
  height: 60px;
  position: fixed;
  right: 10px;
  bottom: 10px;
  background: #505050;
  border-radius: 50%;
  opacity: 0.6;
  }

  /* Font Awesome */
  #pagetop::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: '\f102';
    font-size: 50px;
    color: #ffffff;
    position: absolute;
    width: 40px;
    height: 80px;
    top: 15px;
    bottom: 0;
    right: 0;
    left: 0;
    margin: auto;
    text-align: center;
  }

/*#pagetop {
    position: fixed;
    bottom: 15px;
    right: 15px;
}
#pagetop a {
    display: block;
    background-color: var(--base-color);
    color: var(--white-color);
    width: 50px;
    padding: 10px 5px;
    text-align: center;
}
#pagetop a:hover {
    background-color: var(--link-color);
}*/

/* 幅768px以下の表示
-------------------------------------*/
@media screen and (max-width: 768px){
	
/*ヘッダー
-------------------------------------*/
.header-box {
	display: none;
}	
/*お問い合わせ
-------------------------------------*/
.table th {
	width: 100%;
	display: block;
}	
.table td {
	display: block;
}
}

#activ{
    width: 100%;
	height: 37px;
	background: #a0ebff;

}

.youtube {
  width: 100%;
  aspect-ratio: 16 / 9;
}

/* 以下YouTubeのiflameコード用に対応レスポンシブ追加 */
.youtube iframe {
  width: 100%;
  height: 100%;
}
/*2025_05_12追加分（池田）
-------------------------------------*/

/* information
------------------------------ */
#information {
    padding: 80px 0 100px;
    color: #000000;
    text-align: center;
    background-color: #e9e279;
  }
  
  #information .wrapper {
    margin: 0 auto;
    width: 100%;
    max-width: 1000px;
  }

  #information h1 {
    display: inline-block;
    margin: 0 auto 40px;
    padding-bottom: 10px;
    font-size: 1.25rem;
    font-weight: 700;
    border-bottom: 4px solid #000000;
  }
  
  #information article {
    margin-bottom: 40px;
    padding: 40px 40px 35px;
    text-align: left;
    border-radius: 20px;
    background-color: #fff;
  }
  
  #information article .text_date {
    font-size: 0.85rem;
  }
  
  #information article h2 {
    margin-bottom: 30px;
    padding-bottom: 12px;
    font-size: 1.15rem;
    line-height: 1.8em;
    border-bottom: 2px solid #d5c800;
  }
  
  #information article .text_content {
    line-height: 2.0em;
    font-size: 0.85rem;
  }